# Class IllegalCharacterDataException

Object
Throwable
Exception
RuntimeException
nu.xom.XMLException
nu.xom.WellformednessException
nu.xom.IllegalDataException
nu.xom.IllegalCharacterDataException

All Implemented Interfaces:
  `Serializable`

public class IllegalCharacterDataException extends IllegalDataException

Indicates an attempt to create text content that is not allowed in XML 1.0. For example, this could be a text node that contains a vertical tab or an attribute value that contains an unmatched surrogate character.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalCharacterDataException(String message)`
Creates a new `IllegalCharacterDataException` with a detail message.
`IllegalCharacterDataException(String message, Throwable cause)`
Creates a new `IllegalCharacterDataException` with a detail message and an underlying root cause.

## Method Summary

### Methods inherited from class IllegalDataException

`getData, setData`

### Methods inherited from class XMLException

`getCause, initCause`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalCharacterDataException

public IllegalCharacterDataException(String message)

Creates a new `IllegalCharacterDataException` with a detail message.

Parameters:
  `message` - a string indicating the specific problem

### IllegalCharacterDataException

public IllegalCharacterDataException(String message, Throwable cause)

Creates a new `IllegalCharacterDataException` with a detail message and an underlying root cause.

Parameters:
  `message` - a string indicating the specific problem
  `cause` - the original cause of this exception